Set a principal's profile picture
const url = 'https://example.com/api/v1/principals/example:setAvatar';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"image_base64":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/principals/example:setAvatar \ --header 'Content-Type: application/json' \ --data '{ "image_base64": "example" }'Sets another human principal’s profile picture (an administrator action). Gated by principal:set-avatar (all-scope). The image (JPEG, PNG, or WebP, base64-encoded) is normalized server-side to a 256x256 JPEG; a bad or oversize image is a 422. Audited with the administrator as the actor.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The principal, addressed by its uuid or a human username
The principal, addressed by its uuid or a human username
Request Body required
Section titled “Request Body required ”object
A URL to the JSON Schema for this object.
The image (JPEG, PNG, or WebP), base64-encoded; normalized server-side to a 256x256 JPEG
Responses
Section titled “ Responses ”No Content
default
Section titled “default ”Error
object
A URL to the JSON Schema for this object.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "$schema": "/api/v1/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}